=== debian/changelog ===
coot (1.1.08+dfsg-3) unstable; urgency=medium

  * Backport upstream commit to fix application crash (Closes: #1072115)

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 May 2024 08:35:55 -0400

coot (1.1.08+dfsg-2) unstable; urgency=medium

  * Split override_dh_install into arch and indep parts.
  * Cleanup debian/rules.
  * Update debian/copyright.hints.

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 May 2024 07:35:40 -0400

coot (1.1.08+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.08+dfsg
  * Watch GitHub tags.
  * Drop unused patches, refresh others.
  * Build with libdw.
  * Build with sound support.
  * Install pyrogen Python files, add autopkgtest.
  * Add missing coot dependencies.

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 May 2024 04:40:46 -0400

coot (1.1.07.705.gb7e2c16a2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #897673)

 -- Andrius Merkys <merkys@debian.org>  Fri, 05 Apr 2024 15:10:59 +0300
