=== debian/changelog ===
coot (1.1.09+dfsg-4) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Add build-dep on python3-setuptools (Closes: #1080574)
  * Fix SyntaxWarning (Closes: #1085529)
  * Apply Multi-Arch: hint

  [ Andrius Merkys ]
  * Fix FTBFS issues with libatomic on riscv64 and mips64el (Closes: 1093752).
    Thanks Bo YU.

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 Jan 2025 03:13:31 -0500

coot (1.1.09+dfsg-3) unstable; urgency=medium

  * Backport upstream's commit fixing Python 3.13 compatibility.
  * Update debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Jan 2025 09:15:52 -0500

coot (1.1.09+dfsg-2) unstable; urgency=medium

  [ Alex Myczko ]
  * d/control: updated my name

  [ Andrius Merkys ]
  * Drop dependency on python3-distutils (Closes: #1076203)

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Jul 2024 03:52:32 -0400

coot (1.1.09+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.09+dfsg (Closes: #1072576)
  * Disable sound on hurd-i386.
  * Drop a0fbdb6c679b30c576f3ea8ff438f44ee50cc612.patch: integrated upstream.

 -- Andrius Merkys <merkys@debian.org>  Fri, 28 Jun 2024 10:04:00 -0400
