=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-# -*- mode: makefile; mode: font-lock -*-
-
-# Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
 
 # Export DH_OPTIONS to save options for binary-common
 export DH_OPTIONS
@@ -13,8 +9,18 @@
 	CFLAGS += -O2 -D_REENTRANT
 endif
 
+CONFIGURATION_OPTIONS = --with-enhanced-ligand-tools --disable-static --with-gemmi=/usr/lib/$(DEB_HOST_MULTIARCH) --with-libdw
+ifneq ($(DEB_HOST_ARCH),hurd-i386)
+	CONFIGURATION_OPTIONS += --with-sound
+endif
+
+# Link with libatomic on riscv64 and mips64el
+ifneq (,$(filter $(DEB_HOST_ARCH),riscv64 mips64el))
+	export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
+endif
+
 override_dh_auto_configure:
-	dh_auto_configure -- --with-enhanced-ligand-tools --disable-static --with-gemmi=/usr/lib/$(DEB_HOST_MULTIARCH) --with-libdw --with-sound
+	dh_auto_configure -- $(CONFIGURATION_OPTIONS)
 	dh_auto_configure --buildsystem cmake
 
 execute_after_dh_auto_build:
@@ -34,7 +40,9 @@
 	# Drop the remaining *.la files
 	find debian/tmp -name '*.la' | xargs --no-run-if-empty rm
 
-	# Overwrite the LD_LIBRARY_PATH setting
+	# Adjust the LD_LIBRARY_PATH setting
+	sed -i 's/$${exec_prefix}\/libexec\/Coot/LD_LIBRARY_PATH=$${prefix}\/lib\/'$(DEB_HOST_MULTIARCH)'\/coot $${exec_prefix}\/libexec\/Coot/' \
+	    debian/tmp/usr/bin/coot
 	sed -i 's/LD_LIBRARY_PATH=$$COOT_PREFIX\/lib/LD_LIBRARY_PATH=$$COOT_PREFIX\/lib\/'$(DEB_HOST_MULTIARCH)'\/coot/g' \
 	    debian/tmp/usr/bin/*
 	sed -i 's/LD_LIBRARY_PATH=$$prfx\/lib/LD_LIBRARY_PATH=\/usr\/lib\/'$(DEB_HOST_MULTIARCH)'\/coot/g' \
