## coot 1.1.14+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,11 +27,12 @@
 find_package(Boost COMPONENTS iostreams system python regex thread serialization REQUIRED)
 find_package(glm REQUIRED)
 
+set(THREADS_PREFER_PTHREAD_FLAG ON)
 
 # Charles wants 3.9 here, but if I change to 3.9 then it will not build for me
 # Hmm...
 # What do I need to do here so that Charles can specify on the command line what the version of Python should be?
-find_package(Python 3.10
+find_package(Python 3.12.4
   REQUIRED COMPONENTS Interpreter Development.Module
   OPTIONAL_COMPONENTS Development.SABIModule)
 
@@ -53,19 +54,17 @@
 
 set(coot_src ${CMAKE_CURRENT_SOURCE_DIR})
 
-add_definitions(-DANALYSE_REFINEMENT_TIMING -DPACKAGE_VERSION="1"
+add_definitions(-DANALYSE_REFINEMENT_TIMING -DPACKAGE_VERSION="1.1.14"
   -DHAVE_CXX_THREAD -DHAVE_SSMLIB -DHAVE_BOOST -DUSE_LIBPNG=1 -DCLIPPER_HAS_TOP8000 -DUSE_GEMMI -DHAVE_BOOST_THREAD -DHAVE_GSL
   -DPKGDATADIR="${CMAKE_INSTALL_PREFIX}/share/coot" -DXDATADIR="${CMAKE_INSTALL_PREFIX}/share")
 
-if (ENHANCED_LIGAND_TOOLS)
-   add_definitions(-DMAKE_ENHANCED_LIGAND_TOOLS)
-   message("-- Found ENHANCED_LIGAND_TOOLS setting - now requiring the RDKit")
-   find_package(Cairo REQUIRED)
-   find_package(RDKit CONFIG COMPONENTS RDGeneral REQUIRED)
-   set(RDKit_libs_for_libcootapi RDKit::rdkit_base RDKit::Descriptors RDKit::ForceFieldHelpers RDKit::ForceField RDKit::Optimizer RDKit::MolDraw2D  RDKit::MolChemicalFeatures)
-else()
-    message("-- Note: MAKE_ENHANCED_LIGAND_TOOLS was not enabled")
-endif()
+# 20250314-PE: Charles, I guess that you will need to comment out this block
+#
+add_definitions(-DMAKE_ENHANCED_LIGAND_TOOLS="1")
+message("-- Found ENHANCED_LIGAND_TOOLS setting - now requiring the RDKit")
+find_package(Cairo REQUIRED)
+find_package(RDKit CONFIG COMPONENTS RDGeneral REQUIRED)
+set(RDKit_libs_for_libcootapi RDKit::rdkit_base RDKit::Descriptors RDKit::ForceFieldHelpers RDKit::ForceField RDKit::Optimizer RDKit::MolDraw2D  RDKit::MolChemicalFeatures)
 
 # we can be on Apple, and also have access to homebrew dwarf and elf - but this typically not the case
 # should this actually be ENABLE_BACKWARD? (util/backward.cpp is not conditionally compiled)
@@ -89,7 +88,6 @@
             ${coot_src}/lidia-core/cod-atom-type-t.cc
             ${coot_src}/lidia-core/rdkit-interface.cc
             ${coot_src}/lidia-core/bond-table-record-t.cc
-            ${coot_src}/pli/pi-stacking.cc
             ${coot_src}/src/coot-hydrogens.cc
             ${coot_src}/src/cfc.cc
             ${coot_src}/MoleculesToTriangles/CXXSurface/CXXBall.cpp
@@ -157,6 +155,7 @@
             ${coot_src}/MoleculesToTriangles/CXXClasses/Vector3.cpp
             ${coot_src}/MoleculesToTriangles/CXXClasses/VertexColorNormalPrimitive.cpp
             ${coot_src}/MoleculesToTriangles/CXXClasses/lfit.c
+            ${coot_src}/MoleculesToTriangles/CXXClasses/tubes.cc
             ${coot_src}/api/rigid-body-fit.cc
             ${coot_src}/api/blender-mesh.cc
             ${coot_src}/api/add-terminal-residue.cc
@@ -166,6 +165,7 @@
             ${coot_src}/api/coot-colour.cc
             ${coot_src}/api/coot-molecule.cc
             ${coot_src}/api/coot-molecule-backup.cc
+            ${coot_src}/api/coot-molecule-blender.cc
             ${coot_src}/api/coot-molecule-bonds.cc
             ${coot_src}/api/coot-molecule-bonds-instanced.cc
             ${coot_src}/api/coot-molecule-maps.cc
@@ -173,21 +173,22 @@
             ${coot_src}/api/coot-molecule-moltris.cc
             ${coot_src}/api/coot-molecule-validation.cc
             ${coot_src}/api/coot-molecule-merge-molecules.cc
+            ${coot_src}/api/coot-molecule-modelling.cc
             ${coot_src}/api/coot-molecule-refine.cc
             ${coot_src}/api/coot-molecule-replace-fragment.cc
-            ${coot_src}/api/coot-molecule-blender.cc
+            ${coot_src}/api/ghost-molecule-display.cc
+            ${coot_src}/api/molecules-container.cc
             ${coot_src}/api/molecules-container-blender.cc
-            ${coot_src}/api/molecules-container.cc
+            ${coot_src}/api/molecules-container-bucca-ml-growing.cc
             ${coot_src}/api/molecules-container-gltf.cc
-            ${coot_src}/api/molecules-container-bucca-ml-growing.cc
             ${coot_src}/api/molecules-container-maps.cc
             ${coot_src}/api/molecules-container-mmrrcc.cc
             ${coot_src}/api/molecules-container-superpose.cc
             ${coot_src}/api/molecules-container-modelling.cc
             ${coot_src}/api/molecules-container-ligand-fitting.cc
+            ${coot_src}/api/mmcif-tests.cc
             ${coot_src}/api/phi-psi-prob.cc
             ${coot_src}/api/moorhen-h-bonds.cc
-            ${coot_src}/api/add-terminal-residue.cc
             ${coot_src}/api/rama-plot-phi-psi.cc
             ${coot_src}/analysis/daca.cc
             ${coot_src}/analysis/kolmogorov.cc
@@ -197,6 +198,7 @@
             ${coot_src}/analysis/b-factor-histogram.cc
             ${coot_src}/analysis/typed-distances.cc
             ${coot_src}/analysis/cablam.cc
+            ${coot_src}/analysis/chi-squared.cc
             ${coot_src}/density-contour/density-contour-triangles.cc
             ${coot_src}/density-contour/Vectors.cpp
             ${coot_src}/density-contour/CIsoSurface.cpp
@@ -224,7 +226,3 @@
             ${coot_src}/ideal/coot-compare-residues.cc
             ${coot_src}/ideal/link-restraints.cc
             ${coot_src}/ideal/mods.cc
-            ${coot_src}/ideal/extra-restraints-kk.cc
-            ${coot_src}/ideal/chirals.cc
-            ${coot_src}/ideal/extra-restraints.cc
-            ${coot_src}/ideal/gradients.cc
