=== debian/changelog ===
coot (1.1.14+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.14+dfsg

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Mar 2025 08:17:57 -0400

coot (1.1.11+dfsg-2) unstable; urgency=medium

  * Fix the location to coot's shared libraries in /usr/bin/coot.
  * Set LD_LIBRARY_PATH for layla via wrapper (Closes: #1072618)

 -- Andrius Merkys <merkys@debian.org>  Tue, 18 Mar 2025 08:38:11 -0400

coot (1.1.11+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.11+dfsg
  * Link with -latomic on loong64 (Closes: #1099488). Thanks Dandan Zhang.
  * Refresh patches.
  * Drop 26c08247673834ba561feeb9260c4f1f339ef4b5.patch (integrated upstream)
  * Explicitly indicate buildsystem for dh_auto_configure.

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Mar 2025 11:00:29 +0200
