=== debian/changelog ===
coot (1.1.15+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 05:34:30 +0200

coot (1.1.15+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.15+dfsg

 -- Andrius Merkys <merkys@debian.org>  Wed, 02 Apr 2025 09:40:07 -0400
