## coot 1.1.18+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,9 @@
   set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
 endif()
 
-set(CMAKE_CXX_STANDARD 17)
+# C++20 is only used because newest versions of RDKit (March 2025 and newer) seems to require it
+# Without RDKit, Coot currently needs C++17
+set(CMAKE_CXX_STANDARD 20)
 
 if (APPLE)
 else()
@@ -24,18 +26,18 @@
 find_package(Threads REQUIRED)
 find_package(Python REQUIRED)
 
-find_package(Boost COMPONENTS iostreams system python regex thread serialization REQUIRED)
+find_package(Boost COMPONENTS iostreams system regex thread serialization REQUIRED)
 find_package(glm REQUIRED)
 
 set(THREADS_PREFER_PTHREAD_FLAG ON)
 
-# Charles wants 3.9 here, but if I change to 3.9 then it will not build for me
-# Hmm...
-# What do I need to do here so that Charles can specify on the command line what the version of Python should be?
-find_package(Python 3.12.4
+find_package(Python 3
   REQUIRED COMPONENTS Interpreter Development.Module
   OPTIONAL_COMPONENTS Development.SABIModule)
 
+# This is flaky.
+# If it doesn't work, first try setting nanobind_DIR to wherever_your_python_is/lib/python3.$your_python_version/site-packages/nanobind/cmake
+# If that doesn't work, make sure that CMAKE_INSTALL_PREFIX is set
 find_package(nanobind CONFIG REQUIRED)
 
 # only via homebrew on macOS (not tried to compile them myself) - see below also though.
@@ -54,7 +56,7 @@
 
 set(coot_src ${CMAKE_CURRENT_SOURCE_DIR})
 
-add_definitions(-DANALYSE_REFINEMENT_TIMING -DPACKAGE_VERSION="1.1.15"
+add_definitions(-DANALYSE_REFINEMENT_TIMING -DPACKAGE_VERSION="1.1.18"
   -DHAVE_CXX_THREAD -DHAVE_SSMLIB -DHAVE_BOOST -DUSE_LIBPNG=1 -DCLIPPER_HAS_TOP8000 -DUSE_GEMMI -DHAVE_BOOST_THREAD -DHAVE_GSL
   -DPKGDATADIR="${CMAKE_INSTALL_PREFIX}/share/coot" -DXDATADIR="${CMAKE_INSTALL_PREFIX}/share")
 
@@ -67,7 +69,8 @@
 set(RDKit_libs_for_libcootapi RDKit::rdkit_base RDKit::Descriptors RDKit::ForceFieldHelpers RDKit::ForceField RDKit::Optimizer RDKit::MolDraw2D  RDKit::MolChemicalFeatures)
 
 # we can be on Apple, and also have access to homebrew dwarf and elf - but this typically not the case
-# should this actually be ENABLE_BACKWARD? (util/backward.cpp is not conditionally compiled)
+# should this actually be ENABLE_BACKWARD? (util/backward.cpp is not conditionally compiled).
+# This doesn't seem to wort at the moment though - maybe a  problem with libdwarf.
 if (ENABLE_DWARF_ELF)
    find_library(libelf elf)
    find_library(libdwarf dw)
@@ -88,8 +91,6 @@
             ${coot_src}/lidia-core/cod-atom-type-t.cc
             ${coot_src}/lidia-core/rdkit-interface.cc
             ${coot_src}/lidia-core/bond-table-record-t.cc
-            ${coot_src}/src/coot-hydrogens.cc
-            ${coot_src}/src/cfc.cc
             ${coot_src}/MoleculesToTriangles/CXXSurface/CXXBall.cpp
             ${coot_src}/MoleculesToTriangles/CXXSurface/CXXChargeTable.cpp
             ${coot_src}/MoleculesToTriangles/CXXSurface/CXXCircle.cpp
@@ -177,6 +178,7 @@
             ${coot_src}/api/coot-molecule-refine.cc
             ${coot_src}/api/coot-molecule-replace-fragment.cc
             ${coot_src}/api/ghost-molecule-display.cc
+            ${coot_src}/api/model-analysis.cc
             ${coot_src}/api/molecules-container.cc
             ${coot_src}/api/molecules-container-blender.cc
             ${coot_src}/api/molecules-container-bucca-ml-growing.cc
@@ -212,6 +214,7 @@
             ${coot_src}/skeleton/dm-utils.cc
             ${coot_src}/skeleton/BuildCas.cc
             ${coot_src}/skeleton/graphical_skel.cc
+            ${coot_src}/ideal/add-linked-cho.cc
             ${coot_src}/ideal/pepflip.cc
             ${coot_src}/ideal/parallel-planes.cc
             ${coot_src}/ideal/simple-restraint.cc
@@ -221,8 +224,3 @@
             ${coot_src}/ideal/trans-peptide.cc
             ${coot_src}/ideal/model-bond-deltas.cc
             ${coot_src}/ideal/make-restraints.cc
-            ${coot_src}/ideal/pull-restraint.cc
-            ${coot_src}/ideal/neutron.cc
-            ${coot_src}/ideal/coot-compare-residues.cc
-            ${coot_src}/ideal/link-restraints.cc
-            ${coot_src}/ideal/mods.cc
