=== lhasa/CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 # -Wno-unused-command-line-argument 
 
 if(MEMORY64 EQUAL "1")
-  set(CMAKE_CXX_FLAGS "-DLHASA_STANDALONE -Wall -sMEMORY64=1 --embind-emit-tsd lhasa.d.ts -s USE_PTHREADS=1 -pthread -fwasm-exceptions")
+  set(CMAKE_CXX_FLAGS "-Wall -sMEMORY64=1 --emit-tsd lhasa.d.ts -s USE_PTHREADS=1 -pthread -fwasm-exceptions")
 else()
-  set(CMAKE_CXX_FLAGS "-DLHASA_STANDALONE -Wall --embind-emit-tsd lhasa.d.ts -s USE_PTHREADS=1 -pthread -fwasm-exceptions")
+  set(CMAKE_CXX_FLAGS "-Wall --emit-tsd lhasa.d.ts -s USE_PTHREADS=1 -pthread -fwasm-exceptions")
 endif()
 set(CMAKE_CXX_FLAGS_RELEASE "-O2")
 set(CMAKE_C_FLAGS_RELEASE "-O2")
@@ -52,6 +52,8 @@
 target_sources(lh PRIVATE
   glog_replacement.hpp
   glog_replacement.cpp
+  ../layla/qed.hpp
+  ../layla/qed.cpp
   ../layla/utils.hpp
   ../layla/utils.cpp
   ../layla/ligand_editor_canvas.hpp
@@ -64,11 +66,14 @@
   ../layla/ligand_editor_canvas/tools.cpp
   ../layla/ligand_editor_canvas/render.hpp
   ../layla/ligand_editor_canvas/render.cpp
+  ../utils/base64-encode-decode.hh
+  ../utils/base64-encode-decode.cc
 )
 
 add_executable(lhasa embind.cpp embind.hpp)
 
-set_target_properties(lhasa PROPERTIES LINK_FLAGS " -s ENVIRONMENT=web,worker -s EXPORT_ES6=1 -s MODULARIZE=1 -s EXPORT_NAME='Lhasa' -s ALLOW_MEMORY_GROWTH=1 -s ASSERTIONS")
+set_target_properties(lhasa PROPERTIES LINK_FLAGS " -s ENVIRONMENT=web,worker -s MODULARIZE=1 -s EXPORT_NAME='Lhasa' -s ALLOW_MEMORY_GROWTH=1 -s ASSERTIONS")
+#set_target_properties(lhasa PROPERTIES LINK_FLAGS " -s ENVIRONMENT=web,worker -s EXPORT_ES6=1 -s MODULARIZE=1 -s EXPORT_NAME='Lhasa' -s ALLOW_MEMORY_GROWTH=1 -s ASSERTIONS")
 
 target_link_libraries(lhasa PRIVATE 
     RDKitDepictor 
@@ -80,7 +85,9 @@
     RDKitRDGeneral 
     RDKitRDGeometryLib
     RDKitFileParsers 
-    RDKitSubstructMatch 
+    RDKitDescriptors
+    RDKitChemTransforms
+    RDKitSubstructMatch
     RDKitGenericGroups
     RDKitDataStructs
     boost_iostreams
