=== debian/changelog ===
coot (1.1.18+dfsg-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1117743)
  * Update debian/copyright.
  * Refresh patches, bring back system-fonts.patch, remove alternative
    patches fonts-gone and without-fonts.

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 Oct 2025 06:06:01 -0400

coot (1.1.18+dfsg-1) experimental; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Sep 2025 11:15:47 +0200
