=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  libcairo-dev,
  libccp4-data,
  libclipper-dev,
+ libcoordgen-dev,
  libcurl4-gnutls-dev | libcurl-dev,
  libdw-dev,
  libeigen3-dev,
@@ -35,6 +36,7 @@
  libglm-dev,
  libgsl-dev,
  libgtkmm-4.0-dev,
+ libmaeparser-dev,
  libmmdb2-dev,
  libpng-dev,
  libpython3-dev,
