=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,13 @@
 	CONFIGURATION_OPTIONS += --with-sound
 endif
 
-# Link with libatomic on riscv64 and mips64el
-ifneq (,$(filter $(DEB_HOST_ARCH),riscv64 mips64el))
+# Link with libatomic on riscv64, mips64el and loong64
+ifneq (,$(filter $(DEB_HOST_ARCH),riscv64 mips64el loong64))
 	export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONFIGURATION_OPTIONS)
+	dh_auto_configure --buildsystem autoconf -- $(CONFIGURATION_OPTIONS)
 	dh_auto_configure --buildsystem cmake
 
 execute_after_dh_auto_build:
@@ -41,12 +41,19 @@
 	find debian/tmp -name '*.la' | xargs --no-run-if-empty rm
 
 	# Adjust the LD_LIBRARY_PATH setting
-	sed -i 's/$${exec_prefix}\/libexec\/Coot/LD_LIBRARY_PATH=$${prefix}\/lib\/'$(DEB_HOST_MULTIARCH)'\/coot $${exec_prefix}\/libexec\/Coot/' \
+	sed -i 's/$${exec_prefix}\/libexec\/coot-1/LD_LIBRARY_PATH=$${prefix}\/lib\/'$(DEB_HOST_MULTIARCH)'\/coot $${exec_prefix}\/libexec\/coot-1/' \
 	    debian/tmp/usr/bin/coot
 	sed -i 's/LD_LIBRARY_PATH=$$COOT_PREFIX\/lib/LD_LIBRARY_PATH=$$COOT_PREFIX\/lib\/'$(DEB_HOST_MULTIARCH)'\/coot/g' \
 	    debian/tmp/usr/bin/*
 	sed -i 's/LD_LIBRARY_PATH=$$prfx\/lib/LD_LIBRARY_PATH=\/usr\/lib\/'$(DEB_HOST_MULTIARCH)'\/coot/g' \
 	    debian/tmp/usr/bin/pyrogen
+
+	# Wrapper for layla (#1072618)
+	mkdir --parents debian/tmp/usr/libexec
+	mv debian/tmp/usr/bin/layla debian/tmp/usr/libexec
+	echo '#!/bin/sh' > debian/tmp/usr/bin/layla
+	echo LD_LIBRARY_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/coot /usr/libexec/layla >> debian/tmp/usr/bin/layla
+	chmod +x debian/tmp/usr/bin/layla
 
 	# decode image and convert to smaller sizes
 	# TODO: let us reuse pixmaps/coot-icon.png
