=== debian/tests/control ===
Test-Command: coot --self-test
Depends:
 @,

Test-Command: pyrogen --help
Depends:
 @,
