=== debian/watch ===
version=4
opts="pgpmode=none,repack,repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/-build-fixup$//" \
 https://github.com/pemsley/coot/tags \
 (?:.*?/)?Release-@ANY_VERSION@@ARCHIVE_EXT@
